Subject: Re: [bug#60753] [PATCH] gnu: home: Add home-emacs-service-type.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 20 Feb 2023 12:10:07 +0100

Hi David,

David Wilson <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Now let’s see perhaps what we need to get ‘home-emacs-service-type’
>> merged, and what we can keep as future work.  Thoughts?
>
> Sorry for the long delay in getting back to this!  To summarize what
> we've discussed so far:
>
> - It's possibly best to use g-expressions for the init.el file contents
>   because it gives ultimate flexibility on how one can describe their
>   Emacs configuration in Scheme while pulling in files from their local
>   configuration folder.  Are we concerned whether this may be harder for
>   users to understand and adopt?

Ease of use should always be a concern IMO.  I’d expect that writing
gexps will feel more convenient than in sexps-in-Scheme-strings for the
target Elisp audience.

> - We'll postpone any work to ensure that comments and #'function
>   references can be properly represented so that we can get the basic
>   `home-emacs-service' merged for now.  Future patches will improve on
>   that situation.
>
> Is that accurate?  Either way, I'll spend some time today responding to
> the feedback so that we can get this merged.

Sounds good to me!

Ludo’.